--#SET TERMINATOR ;

-- =============================================
-- SaveToDB Framework for IBM DB2
-- Version 8.7, March 12, 2018
--
-- This script upgrades SaveToDB Framework 8.6 to SaveToDB Framework 8.7
--
-- Copyright 2012-2018 Gartle Technology Corporation
-- =============================================

CREATE TABLE XLS.WORKBOOKS (
  ID INTEGER NOT NULL PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY,
  NAME VARCHAR(128) NOT NULL,
  TEMPLATE VARCHAR(255),
  DEFINITION CLOB(200000) NOT LOGGED COMPACT NOT NULL,
  PRIMARY KEY (ID)
);

CREATE UNIQUE INDEX XLS.IX_WORKBOOKS ON XLS.WORKBOOKS (NAME);

GRANT SELECT ON TABLE XLS.QUERIES       TO ROLE XLS_USERS;

GRANT SELECT, INSERT, UPDATE, DELETE, INDEX, ALTER, REFERENCES, CONTROL ON TABLE XLS.WORKBOOKS      TO ROLE XLS_DEVELOPERS;

INSERT INTO XLS.HANDLERS (TABLE_SCHEMA, TABLE_NAME, COLUMN_NAME, EVENT_NAME, HANDLER_SCHEMA, HANDLER_NAME, HANDLER_TYPE, HANDLER_CODE, TARGET_WORKSHEET, MENU_ORDER, EDIT_PARAMETERS) VALUES ('XLS', 'WORKBOOKS',    NULL, 'Actions', 'HTTP', 'Online Help', 'HTTP', 'http://www.savetodb.com/savetodb8/configuring-workbooks.htm',      NULL, 11, NULL);
